package com.jgoodies.animation.examples.intro;

import com.jgoodies.animation.Animator;

import javax.swing.*;
import java.awt.*;

public final class My2Intro
{

	private static final int DEFAULT_FRAME_RATE = 30;

	public static void main (String[] args)
	{
		new My2Intro (DEFAULT_FRAME_RATE);
	}

	private My2Intro (int fps)
	{
		My2IntroPage my2IntroPage = new My2IntroPage ();

		Container pane      = my2IntroPage.build ();
		buildFrame (pane);
		new Animator (my2IntroPage.animation, fps)
				.start ();
	}


	private static void buildFrame (Container i_pane)
	{
		JFrame frame = new JFrame ();
		frame.setContentPane (i_pane);
		frame.setUndecorated (true);
		frame.setSize (350, 150);
		frame.setTitle ("JGoodies Animation :: Intro");
		frame.setDefaultCloseOperation (3);
		Dimension paneSize = frame.getSize ();
		Dimension screenSize = frame.getToolkit ().getScreenSize ();
		frame.setLocation (
				(screenSize.width - paneSize.width) / 2,
		        (screenSize.height - paneSize.height) / 2);
		frame.setVisible (true);
	}


	// Helper Code ***********************************************************


}