package com.jgoodies.animation.examples.intro;

import com.jgoodies.animation.Animation;
import com.jgoodies.animation.Animations;
import com.jgoodies.animation.animations.BasicTextAnimation;
import com.jgoodies.animation.animations.BasicTextAnimations;
import com.jgoodies.animation.components.BasicTextLabel;

import javax.swing.*;
import java.awt.*;

public final class My2IntroPage {

    private BasicTextLabel label1, label2;
	public Animation animation;


	public JPanel build() {
		initComponents();
		animation = createAnimation();

		JPanel panel = new JPanel(null);
		panel.setBounds(0, 0, 350, 100);
		panel.setBackground(Color.white);

		panel.add(label1);
		panel.add(label2);

		return panel;
	}


	// Building *************************************************************

    /**
     * Creates and configures the UI components.
     */
    private void initComponents()
    {
	    Font animationFont = new Font ("Tahoma", Font.BOLD, 18);

        label1 = new BasicTextLabel(" ");
        label1.setFont(animationFont);
        label1.setBounds(0, 0, 350, 100);
        label1.setOpaque(false);

        label2 = new BasicTextLabel(" ");
        label2.setFont(animationFont);
        label2.setBounds(0, 0, 350, 100);
        label2.setOpaque(false);
    }

    // Animation Creation ***************************************************

    /**
     * Creates and answers a composed animation for the intro.
     * 
     * @return the composed animation
     */
    private Animation createAnimation() {
        Animation welcome =
            BasicTextAnimation.defaultFade(
                label1,
                2500,
                "1. Welcome To",
                Color.darkGray);

        Animation theJGoodiesAnimation =
            BasicTextAnimation.defaultFade(
                label1,
                3000,
                "2: The JGoodies Animation",
                Color.darkGray);

        Animation description =
            BasicTextAnimations.defaultFade(
                label1,
                label2,
                2000,
                -100,
                "3: An open source framework|" +
                "4: for time-based|5: real-time animations|6: in Java.",
                Color.darkGray);

        Animation features =
            BasicTextAnimations.defaultFade(
                label1,
                label2,
                3000,
                500,
                "7: Main Features:",
                Color.darkGray);

        Animation featureList =
            BasicTextAnimations.defaultFade(
                label1,
                label2,
                1750,
                0,
                "8: Seamless|9: flexible|and powerful integration|with Java.|" +
                "small library size",
                Color.darkGray);

	    Animation all =
	        Animations.sequential(
	            new Animation[] {
	                p (1000),
	                welcome,
	                p (1000),
	                theJGoodiesAnimation,
	                p (1000),
	                description,
	                p (1000),
	                features,
	                p (1000),
	                featureList,
	                p (1500),
	                });

        return all;
    }

	private Animation p (int i_i) {return Animations.pause(i_i);}

	// Helper Code **********************************************************

}